#!/bin/bash
# Clean up basic Darky's ROM 9.2 Resurrection Edition without installed
# third-party applications. Darky's ROM can be obtained from:
#  http://darky.ficeto.com/community/index.php?threads/odin-rom-darkys-resurrection-edition.895/
#
# Usage:
#  - boot into Linux, connect over USB in USB debugging mode and get ADB command
#    to work (./bin/adblinux)
#  - run ./cleandarky92.sh
#
# It will remove the useless Dutch and otherwise unremovable things in this ROM:
#  - FileIndex
#  - PressReader
#  - Samsung
#  - Telegraaf
#  - DigiLezen
# Other useless things you can remove by yourself with Task Manager if you are
# not using them:
#  - Voodoo Control App (if you are using SpeedMod kernel)
#  - FasterFix
#
# Warning:
#  Use at your own risk!
#
# Copyright (C) 2011 GW <gw.2011@tnode.com or http://gw.tnode.com/>
# License: GNU GPLv3
# URL: http://gw.tnode.com/0469-Android/f/
# Date: $HgDate: 2011/02/08 23:35:54 $

CMD='./bin/adblinux'
REMDIR='/sdcard/Darky/removed-useless'

echo "Clean up basic Darky's ROM 9.0 Resurection Edition without installed third-party applications!"
echo
echo 'Remember to enable USB debugging mode (Settings/Applications/Development mode/USB debugging) on the phone and connect it over USB.'
echo "Will use ADB command: $CMD"
chmod +x "$CMD"
echo "Remote backup directory: $REMDIR"
echo
sleep 10

echo 'Remounting /system read-write...'
$CMD shell su -c 'mount -o remount,rw /dev/block/stl9 /system'

echo 'Creating backup directory for removed things...'
$CMD shell mkdir "'$REMDIR'"

echo 'Removing useless Dutch and otherwise unremovable things...'
$CMD shell su -c "cp /system/app/Fileindex.apk '$REMDIR' && rm /system/app/Fileindex.apk"
$CMD shell su -c "cp /system/app/PressReader.apk '$REMDIR' && rm /system/app/PressReader.apk"
$CMD shell su -c "cp /system/app/Samsung.apk '$REMDIR' && rm /system/app/Samsung.apk"
$CMD shell su -c "cp /system/app/Telegraaf.apk '$REMDIR' && rm /system/app/Telegraaf.apk"
$CMD shell su -c "cp /system/app/txtr-android-client-bol-1.0.3-nobooks.apk '$REMDIR' && rm /system/app/txtr-android-client-bol-1.0.3-nobooks.apk"

